2017-07-23 13:35 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002148OpenFOAM[All Projects] Bugpublic2016-07-19 11:59
ReporterMattijsJ 
Assigned Tohenry 
PrioritylowSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformGNU/LinuxOSOpenSuSEOS Version13.2
Product Versiondev 
Target VersionFixed in Versiondev 
Summary0002148: postprocess option does not execute functionObject::end
DescriptionThe -postProcess option does not seem to be executing the functionObject::end().

I was using a coded functionObject (like in potentialFoam/cylinder/system/controlDict) which defines codeEnd.

Is this a design decision?
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0006522

henry (manager)

In the case of -postProcess option what does "end" mean? After all of the times? After all the selected times? Or after each time?

~0006525

MattijsJ (reporter)

end: when the application finishes (so after doing whatever times you've selected)

In the postProcess mode the only difference is that it is obtaining fields by reading instead of calculating (?) so the behaviour should be consistent.

~0006526

henry (manager)

Running and post-processing are not the same, particularly with respect to averaging. The last time of a simulation is also not the same as the last dump-time selected during post-processing. Calling the 'end' function for the last dump-time selected during post-processing may or may not be appropriate depending on the particular functionObject. However, this issue could be handled within the functionObject 'end' function because a flag is provided to indicate the mode of operation, run or post-process.

~0006538

henry (manager)

Resolved by commit edca9a4a1a9bf4b4f0a3e11020fe43ef5dbe06ff
+Notes

-Issue History
Date Modified Username Field Change
2016-07-12 18:31 MattijsJ New Issue
2016-07-12 19:07 henry Note Added: 0006522
2016-07-14 11:08 MattijsJ Note Added: 0006525
2016-07-14 11:57 henry Note Added: 0006526
2016-07-19 11:58 henry Note Added: 0006538
2016-07-19 11:58 henry Status new => resolved
2016-07-19 11:58 henry Fixed in Version => dev
2016-07-19 11:58 henry Resolution open => fixed
2016-07-19 11:58 henry Assigned To => henry
+Issue History